#version 120 
#extension GL_EXT_geometry_shader4: enable 
uniform float D;

void main(void)
	{
		//increment variable
		int i;

		/////////////////////////////////////////////////////////////
		//This example has two parts
		//	step a) draw the primitive pushed down the pipeline
		//		 there are gl_Vertices # of vertices
		//		 put the vertex value into gl_Position
		//		 use EmitVertex => 'create' a new vertex
		// 		use EndPrimitive to signal that you are done creating a primitive!
		//	step b) create a new piece of geometry (I.E. WHY WE ARE USING A GEOMETRY SHADER!)
		

		//Pass-thru!

		for(i=0; i< gl_VerticesIn; i++){
			gl_FrontColor = gl_FrontColorIn[i];
			gl_TexCoord[0] = gl_TexCoordIn[i][0];
			gl_Position = gl_PositionIn[i];
			EmitVertex();
		}
		EndPrimitive();																						
		//New piece of geometry!
		for(i=0; i< gl_VerticesIn; i++){
			gl_FrontColor = gl_FrontColorIn[i];
			gl_TexCoord[0] = gl_TexCoordIn[i][0];
			gl_Position = gl_PositionIn[i];
			gl_Position.xy = gl_Position.xy+D;
			EmitVertex();
		}
		EndPrimitive();	
																			      /////////////////////////////////////////////////////////////

	}
